function [c, spectra, vx, ax, all] = LPCC(vzorky, vzorkovacia_frek,  modelorder)

nbands = 24;
LPC = 1;


vzorky = filter([1 -0.97], 1, vzorky); %preemfaza


    % first compute power spectrum
    vykon_spektrum = powspec_LPCC(vzorky, vzorkovacia_frek);    %segmentacia, oknovanie

    % LPC analysis 
    lpcas = dolpc_LPCC(vykon_spektrum, modelorder);          %LP analyza

    % convert lpc to cepstra
    cepstra = lpc2cep_LPCC(lpcas, modelorder+1);       %LP na kepstralne koef

    % .. or to spectra
    [spectra,F,M] = lpc2spec_LPCC(lpcas, nbands);       %LP na spektrum


c = lifter_LPCC(cepstra, 0.6);      %liftovanie
 
vx = deltas(c);              %diferencne
ax = deltas(deltas(c,5),5);  %akceleracne
all = [c;vx;ax];             %vsetkych 39
